- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalParaStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalParaStyle ()
| VSDOptionalParaStyle (unsigned cc, const boost::optional< double > &ifst, const boost::optional< double > &il, const boost::optional< double > &ir, const boost::optional< double > &sl, const boost::optional< double > &sb, const boost::optional< double > &sa, const boost::optional< unsigned char > &a, const boost::optional< unsigned > &f)
| VSDOptionalParaStyle (const VSDOptionalParaStyle &style)
| ~VSDOptionalParaStyle ()
void | override (const VSDOptionalParaStyle &style)

## Public Attributes
unsigned | charCount
boost::optional< double > | indFirst
boost::optional< double > | indLeft
boost::optional< double > | indRight
boost::optional< double > | spLine
boost::optional< double > | spBefore
boost::optional< double > | spAfter
boost::optional< unsigned char > | align
boost::optional< unsigned > | flags

## Constructor & Destructor Documentation

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( |  | ) |
| inline

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( | unsigned | cc,
|  | const boost::optional< double > & | ifst,
|  | const boost::optional< double > & | il,
|  | const boost::optional< double > & | ir,
|  | const boost::optional< double > & | sl,
|  | const boost::optional< double > & | sb,
|  | const boost::optional< double > & | sa,
|  | const boost::optional< unsigned char > & | a,
|  | const boost::optional< unsigned > & | f
| ) |  |
| inline

libvisio::VSDOptionalParaStyle::VSDOptionalParaStyle | ( | const VSDOptionalParaStyle & | style | ) |
| inline

libvisio::VSDOptionalParaStyle::~VSDOptionalParaStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDOptionalParaStyle::override | ( | const VSDOptionalParaStyle & | style | ) |
| inline

Referenced by libvisio::VSDParagraphList::addParaIX().

## Member Data Documentation

boost::optional<unsigned char> libvisio::VSDOptionalParaStyle::align

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

unsigned libvisio::VSDOptionalParaStyle::charCount

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::getCharCount(), libvisio::VSDParaIX::handle(), and libvisio::VSDParaIX::setCharCount().

boost::optional<unsigned> libvisio::VSDOptionalParaStyle::flags

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

boost::optional<double> libvisio::VSDOptionalParaStyle::indFirst

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

boost::optional<double> libvisio::VSDOptionalParaStyle::indLeft

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

boost::optional<double> libvisio::VSDOptionalParaStyle::indRight

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

boost::optional<double> libvisio::VSDOptionalParaStyle::spAfter

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

boost::optional<double> libvisio::VSDOptionalParaStyle::spBefore

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

boost::optional<double> libvisio::VSDOptionalParaStyle::spLine

Referenced by libvisio::VSDParagraphList::addParaIX(), libvisio::VSDParaIX::handle(), and override().

The documentation for this struct was generated from the following file:

- VSDStyles.h